/****************************************************************************
 * tx.feature.write_print
 *   A mixin "Write_Print" that suplies a template-based printer of TextWriters
 *   "Write_Basic" is automatically included.
 ****************************************************************************/
module tx.feature.write_print;
public
{
	import tx.to_s;
	import std.string;
}

template Write_Print(alias base)
{
public:
	void print(T...)(T params)
	{
		foreach(p; params)
			writeString( to_s(p) );
	}
	
	void println(T...)(T params)
	{
		print(params);
		writeLine("");
	}
}
